Skip to content

# Interface: IPodContainer

Renderer.K8sApi.IPodContainer

## Table of contents

### Properties

- args
- command
- env
- envFrom
- image
- imagePullPolicy
- livenessProbe
- name
- ports
- readinessProbe
- resources
- startupProbe
- volumeMounts

## Properties

### args

• `Optional` args: `string`[]

### command

• `Optional` command: `string`[]

### env

• `Optional` env: { `name`: `string` ; `value?`: `string` ; `valueFrom?`: { `configMapKeyRef?`: { `key`: `string` ; `name`: `string` } ; `fieldRef?`: { `apiVersion`: `string` ; `fieldPath`: `string` } ; `secretKeyRef?`: { `key`: `string` ; `name`: `string` } } }[]

### envFrom

• `Optional` envFrom: { `configMapRef?`: { `name`: `string` } ; `secretRef?`: { `name`: `string` } }[]

### image

• image: `string`

### imagePullPolicy

• imagePullPolicy: `string`

### livenessProbe

• `Optional` livenessProbe: `IContainerProbe`

### name

• name: `string`

### ports

• `Optional` ports: { `containerPort`: `number` ; `name?`: `string` ; `protocol`: `string` }[]

### readinessProbe

• `Optional` readinessProbe: `IContainerProbe`

### resources

• `Optional` resources: `Object`

#### Type declaration

Name | Type
--- | ---
`limits` | `Object`
`limits.cpu` | `string`
`limits.memory` | `string`
`requests` | `Object`
`requests.cpu` | `string`
`requests.memory` | `string`

### startupProbe

• `Optional` startupProbe: `IContainerProbe`

### volumeMounts

• `Optional` volumeMounts: { `mountPath`: `string` ; `name`: `string` ; `readOnly`: `boolean` }[]